com.ibm.openpages.api.theme

## Interface ITheme

-     public interface ITheme

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBaseThemeName()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getColors()`
    `java.lang.String` | `getCreatedBy()`
    `java.util.Date` | `getCreatedDate()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getModifiedBy()`
    `java.util.Date` | `getModifiedDate()`
    `java.lang.String` | `getName()`
    `Id` | `getThemeId()`
    `java.lang.Boolean` | `isDefault()`
    `java.lang.Boolean` | `isEnabled()`
    `java.lang.Boolean` | `isSuppliedByVendor()`
    `void` | `setBaseThemeName(java.lang.String baseThemeName)`
    `void` | `setColors(java.util.Map<java.lang.String,java.lang.Object> colors)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setIsDefault(java.lang.Boolean isDefault)`
    `void` | `setIsEnabled(java.lang.Boolean isEnabled)`
    `void` | `setName(java.lang.String name)`

- - ### Method Detail

    - #### getThemeId

          Id getThemeId()

    - #### isDefault

          java.lang.Boolean isDefault()

    - #### setIsDefault

          void setIsDefault(java.lang.Boolean isDefault)

    - #### isEnabled

          java.lang.Boolean isEnabled()

    - #### setIsEnabled

          void setIsEnabled(java.lang.Boolean isEnabled)

    - #### getName

          java.lang.String getName()

    - #### setName

          void setName(java.lang.String name)

    - #### getDescription

          java.lang.String getDescription()

    - #### setDescription

          void setDescription(java.lang.String description)

    - #### isSuppliedByVendor

          java.lang.Boolean isSuppliedByVendor()

    - #### getModifiedDate

          java.util.Date getModifiedDate()

    - #### getModifiedBy

          java.lang.String getModifiedBy()

    - #### getCreatedDate

          java.util.Date getCreatedDate()

    - #### getCreatedBy

          java.lang.String getCreatedBy()

    - #### getBaseThemeName

          java.lang.String getBaseThemeName()

    - #### setBaseThemeName

          void setBaseThemeName(java.lang.String baseThemeName)

    - #### getColors

          java.util.Map<java.lang.String,java.lang.Object> getColors()

    - #### setColors

          void setColors(java.util.Map<java.lang.String,java.lang.Object> colors)

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.